org.eclnt.jsfserver.elements.componentnodes

## Class CLIENTJSMETHODRECEIVERNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.CLIENTJSMETHODRECEIVERNode

- All Implemented Interfaces:
    java.io.Serializable

      public class CLIENTJSMETHODRECEIVERNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CLIENTJSMETHODRECEIVERNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CLIENTJSMETHODRECEIVERNode` | `bindActionListener(IActionListenerDelegation value)`
    `CLIENTJSMETHODRECEIVERNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `CLIENTJSMETHODRECEIVERNode` | `bindAvoidvalidations(IDynamicContentBindingObject value)`
    `CLIENTJSMETHODRECEIVERNode` | `bindComment(IDynamicContentBindingObject value)`
    `CLIENTJSMETHODRECEIVERNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `CLIENTJSMETHODRECEIVERNode` | `bindRendered(IDynamicContentBindingObject value)`
    `CLIENTJSMETHODRECEIVERNode` | `bindStatusbarneutral(IDynamicContentBindingObject value)`
    `CLIENTJSMETHODRECEIVERNode` | `setActionListener(java.lang.String value)`
    `CLIENTJSMETHODRECEIVERNode` | `setAdapterbinding(java.lang.String value)`
    `CLIENTJSMETHODRECEIVERNode` | `setAttributemacro(java.lang.String value)`
    `CLIENTJSMETHODRECEIVERNode` | `setAvoidvalidations(boolean value)`
    `CLIENTJSMETHODRECEIVERNode` | `setAvoidvalidations(java.lang.String value)`
    `CLIENTJSMETHODRECEIVERNode` | `setComment(java.lang.String value)`
    `CLIENTJSMETHODRECEIVERNode` | `setConfiginfo(java.lang.String value)`
    `CLIENTJSMETHODRECEIVERNode` | `setId(java.lang.String value)`
    `CLIENTJSMETHODRECEIVERNode` | `setReference(java.lang.String value)`
    `CLIENTJSMETHODRECEIVERNode` | `setRendered(boolean value)`
    `CLIENTJSMETHODRECEIVERNode` | `setRendered(java.lang.String value)`
    `CLIENTJSMETHODRECEIVERNode` | `setStatusbarneutral(boolean value)`
    `CLIENTJSMETHODRECEIVERNode` | `setStatusbarneutral(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CLIENTJSMETHODRECEIVERNode

          public CLIENTJSMETHODRECEIVERNode()

  - ### Method Detail

    - #### setId

          public CLIENTJSMETHODRECEIVERNode setId(java.lang.String value)

    - #### setActionListener

          public CLIENTJSMETHODRECEIVERNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public CLIENTJSMETHODRECEIVERNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public CLIENTJSMETHODRECEIVERNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public CLIENTJSMETHODRECEIVERNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public CLIENTJSMETHODRECEIVERNode setAttributemacro(java.lang.String value)

    - #### setAvoidvalidations

          public CLIENTJSMETHODRECEIVERNode setAvoidvalidations(java.lang.String value)

    - #### bindAvoidvalidations

          public CLIENTJSMETHODRECEIVERNode bindAvoidvalidations(IDynamicContentBindingObject value)

    - #### setAvoidvalidations

          public CLIENTJSMETHODRECEIVERNode setAvoidvalidations(boolean value)

    - #### setComment

          public CLIENTJSMETHODRECEIVERNode setComment(java.lang.String value)

    - #### bindComment

          public CLIENTJSMETHODRECEIVERNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public CLIENTJSMETHODRECEIVERNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public CLIENTJSMETHODRECEIVERNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setReference

          public CLIENTJSMETHODRECEIVERNode setReference(java.lang.String value)

    - #### setRendered

          public CLIENTJSMETHODRECEIVERNode setRendered(java.lang.String value)

    - #### bindRendered

          public CLIENTJSMETHODRECEIVERNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public CLIENTJSMETHODRECEIVERNode setRendered(boolean value)

    - #### setStatusbarneutral

          public CLIENTJSMETHODRECEIVERNode setStatusbarneutral(java.lang.String value)

    - #### bindStatusbarneutral

          public CLIENTJSMETHODRECEIVERNode bindStatusbarneutral(IDynamicContentBindingObject value)

    - #### setStatusbarneutral

          public CLIENTJSMETHODRECEIVERNode setStatusbarneutral(boolean value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.